## r-bioc-deseq2 1.44.0+dfsg

=== debian/changelog ===
r-bioc-deseq2 (1.44.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:24:14 +0200

r-bioc-deseq2 (1.44.0+dfsg-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 13:49:43 +0200

r-bioc-deseq2 (1.44.0+dfsg-1~0exp) experimental; urgency=medium

  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 22:26:32 +0200

=== debian/control ===
Source: r-bioc-deseq2
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-deseq2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-deseq2.git
Homepage: https://bioconductor.org/packages/DESeq2/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-biocparallel (>= 1.38.0),
               r-cran-matrixstats,
               r-cran-locfit,
               r-cran-ggplot2 (>= 3.4.0),
               r-cran-rcpp (>= 0.11.0),
               r-bioc-matrixgenerics (>= 1.16.0),
               r-cran-rcpparmadillo,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-deseq2
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-matrixgenerics (>= 1.16.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-tximport (>= 1.32.0),
          r-bioc-tximeta (>= 1.22.1),
          r-bioc-tximportdata (>= 1.32.0),
          r-bioc-glmgampoi (>= 1.16.0)
Description: R package for RNA-Seq Differential Expression Analysis
 Differential gene expression analysis based on the negative binomial
 distribution. Estimate variance-mean dependence in count data from
 high-throughput sequencing assays and test for differential expression based
 on a model using the negative binomial distribution.

## r-bioc-deseq2 1.46.0%2Bdfsg

=== debian/changelog ===
r-bioc-deseq2 (1.46.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 08:57:33 +0100

r-bioc-deseq2 (1.46.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 18:15:12 +0100

## r-bioc-deseq2 1.46.0+dfsg

=== DESCRIPTION ===
Package: DESeq2
Type: Package
Title: Differential gene expression analysis based on the negative
        binomial distribution
Version: 1.46.0
Authors@R: c(
    person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = c("aut","cre")),
    person("Constantin", "Ahlmann-Eltze", role = c("ctb")),
    person("Kwame", "Forbes", role = c("ctb")),
    person("Simon", "Anders", role = c("aut","ctb")),
    person("Wolfgang", "Huber", role = c("aut","ctb")),
    person("RADIANT EU FP7", role="fnd"),
    person("NIH NHGRI", role="fnd"),
    person("CZI", role="fnd"))
Maintainer: Michael Love <michaelisaiahlove@gmail.com>
Description: Estimate variance-mean dependence in count data from
    high-throughput sequencing assays and test for differential
    expression based on a model using the negative binomial
    distribution.
License: LGPL (>= 3)
VignetteBuilder: knitr, rmarkdown
Imports: BiocGenerics (>= 0.7.5), Biobase, BiocParallel, matrixStats,
        methods, stats4, locfit, ggplot2 (>= 3.4.0), Rcpp (>= 0.11.0),
        MatrixGenerics
Depends: S4Vectors (>= 0.23.18), IRanges, GenomicRanges,
        SummarizedExperiment (>= 1.1.6)
Suggests: testthat, knitr, rmarkdown, vsn, pheatmap, RColorBrewer,
        apeglm, ashr, tximport, tximeta, tximportData, readr, pbapply,
        airway, pasilla (>= 0.2.10), glmGamPoi, BiocManager
LinkingTo: Rcpp, RcppArmadillo
URL: https://github.com/thelovelab/DESeq2
biocViews: Sequencing, RNASeq, ChIPSeq, GeneExpression, Transcription,
        Normalization, DifferentialExpression, Bayesian, Regression,
        PrincipalComponent, Clustering, ImmunoOncology
RoxygenNote: 7.3.1
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/DESeq2
git_branch: RELEASE_3_20
git_last_commit: 4887eb4
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: yes
Packaged: 2024-10-30 00:24:57 UTC; biocbuild
Author: Michael Love [aut, cre],
  Constantin Ahlmann-Eltze [ctb],
  Kwame Forbes [ctb],
  Simon Anders [aut, ctb],
  Wolfgang Huber [aut, ctb],
  RADIANT EU FP7 [fnd],
  NIH NHGRI [fnd],
  CZI [fnd]

=== debian/control ===
Source: r-bioc-deseq2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biocgenerics,
               r-bioc-biobase,
               r-bioc-biocparallel,
               r-cran-matrixstats,
               r-cran-locfit,
               r-cran-ggplot2 (>= 3.4.0),
               r-cran-rcpp,
               r-bioc-matrixgenerics,
               r-cran-rcpparmadillo,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-deseq2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-deseq2.git
Homepage: https://bioconductor.org/packages/DESeq2/
Rules-Requires-Root: no

Package: r-bioc-deseq2
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package for RNA-Seq Differential Expression Analysis
 Differential gene expression analysis based on the negative binomial
 distribution. Estimate variance-mean dependence in count data from
 high-throughput sequencing assays and test for differential expression based
 on a model using the negative binomial distribution.
